> ## Documentation Index
> Fetch the complete documentation index at: https://docs.refold.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get hosted properties

This API returns the hosted properties saved against the session token

## Request description

#### Headers

<ParamField header="Authorization" type="string">
  Unlike other API's in this documentation, this API requires the [Session token](https://docs.gocobalt.io/api-reference/session-token/generate-token-for-linked-account) as a bearer token for authentication.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url https://api.gocobalt.io/api/v2/public/hosted-properties \
    --header 'Authorization: Bearer {Session_token}'
  ```
</RequestExample>

## Response description

<Tabs>
  <Tab title="200">
    <ResponseField name="color" type="string">
      Text Colour Hex
    </ResponseField>

    <ResponseField name="bgColor" type="string">
      Background Colour Hex
    </ResponseField>

    <ResponseField name="name" type="string">
      Customer name
    </ResponseField>
  </Tab>

  <Tab title="500">
    <ResponseField name="status_code" type="integer">
      System generated status Code
    </ResponseField>

    <ResponseField name="http_error_type" type="string">
      System generated error type
    </ResponseField>

    <ResponseField name="error_code" type="string">
      Specific error code to identify the error
    </ResponseField>

    <ResponseField name="message" type="string">
      Error message
    </ResponseField>

    <ResponseField name="request_id" type="string">
      System generated request id
    </ResponseField>
  </Tab>
</Tabs>

<ResponseExample>
  ```JSON 200 theme={null}
  {
      "color": "#000000",
      "bgColor": "#00FF23",
      "name": "Abhishek Kumar"
  }
  ```

  ```JSON 500 theme={null}
  {
      "status_code": 500,
      "http_error_type": "INTERNAL_SERVER_ERROR",
      "error_code": "SERVER_ERROR",
      "message": "Authorization Token Missing",
      "request_id": "c34e179c-783d-4464-af6a-7a353e301a46"
  }
  ```
</ResponseExample>
